#include "system_stm32f4xx.h"
#include "stm32f4xx_conf.h"
#include "I2C.h"
#include "calc_altitude.h"



#define AUDIO_RESET_GPIO_CLK           RCC_AHB1Periph_GPIOD
#define AUDIO_RESET_PIN                GPIO_Pin_4
#define AUDIO_RESET_GPIO               GPIOD

void delay(uint32_t ms);
void Codec_Reset(void);

uint32_t ID;

int main(void)
{
	SystemInit();
	Codec_Reset();
	I2C1_Initialisation();
	
	ID = I2C_readOneByte(I2C1,AUDIO_address,0x01);

	while(1){;}	
}




 void Codec_Reset(void)
{			
		  GPIO_InitTypeDef GPIO_InitStructure;
  
  /* Enable Reset GPIO Clock */
  RCC_AHB1PeriphClockCmd(AUDIO_RESET_GPIO_CLK,ENABLE);
  
  /* Audio reset pin configuration -------------------------------------------------*/
  GPIO_InitStructure.GPIO_Pin = AUDIO_RESET_PIN; 
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_NOPULL;
  GPIO_Init(AUDIO_RESET_GPIO, &GPIO_InitStructure);  
	
	
			/* Power Down the codec */
			GPIO_WriteBit(AUDIO_RESET_GPIO, AUDIO_RESET_PIN, Bit_RESET);

			/* wait for a delay to insure registers erasing */
			delay(10); //Delay(CODEC_RESET_DELAY);

			/* Power on the codec */
			GPIO_WriteBit(AUDIO_RESET_GPIO, AUDIO_RESET_PIN, Bit_SET);
  }

void delay(uint32_t ms)
	{
		uint32_t delay = ms * 0x00FFFFFF;
		
		while(delay > 0)
		{
			delay--;
		}
	}


